
<template>
  <div class='text-main'>
    <van-nav-bar title="审核结果" />
    <div style="  text-align: center;">
      <img  height="180" src="../../assets/img/loading.png"  v-if="!ResultIs" />
      <img  height="180" src="../../assets/img/img_fail.png" v-if="ResultIs" />
    </div>
    <div class="content">
      <p class="content-text"> {{datastr}}</p>
      <!-- <p class="content-text" v-if="isActive">{{examineStr}}</p> -->
      <div class="btn-content">
      <van-button  color="#E43A28" @click="checkBtn" round v-if="ResultIs">重新校验</van-button>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  components: {},
  data() {
    //这里存放数据
    return {
      datastr: '活体校验中，请稍等....',
      examineStr:'正在审核订单，请稍后...',
      isActive: false,
      orderNo:0,
      ResultIs:false,
      examineIs:true
    };
  },
  //监听属性 类似于data概念
  computed: {},
  //监控data中的数据变化
  watch: {},
  //方法集合
  methods: {
    bankCardNoInit() {
      var slfe = this
      let  objForm ={bizId:this.bizId,bizType:this.bizType}
      var t2 = window.setInterval(function () {
        slfe.$api.refreshFaceStatus({objForm}).then(res => {
                //  window.clearInterval(t2)  // 去除定时器
            if(res.body.status==1){   //人脸识别未出结果
                 slfe.$api.getApplyStatus({...objForm,status:res.body.status}).then(res=>{
                     if(res.body.faceResult==0){
                          this.ResultIs =true
                     }
                 })        
            }else{

            }     
        })
      }, 5000)
    },
    getQueryVariable(variable) {  //获取url参数
      var query = window.location.search.substring(1);
      var vars = query.split("&");
      for (var i = 0; i < vars.length; i++) {
        var pair = vars[i].split("=");
        if (pair[0] == variable) { return pair[1]; }
      }
      return (false);
    },
    checkBtn(){  //重新校验
           this.$api.faceIdUrl({orderId: this.orderNo}).then(res => {
                       window.location.href =res.body.url      
            })      
    },
    returnApp(){
           window.location.href ="https://www.shouxinshibai.com/"    
    }
  },
  //生命周期 - 创建完成（可以访问当前this实例）
  created() {
    // if(this.getQueryVariable('orderNo')){
    //       this.orderNo=this.getQueryVariable('orderNo')
    // }else{
    //         this.orderNo=this.$route.query.orderNo 
    // }

    // let  orderStatus =this.$route.query.orderStatus   
    // if(orderStatus && orderStatus==3){
    //         this.datastr='正在审核订单，请稍后...'
    //       //  this.bankCardNoInit()
    //          window.location.href ="https://www.shouxinshibai.com/"    
    // }else{

    // this.datastr='正在审核订单，请稍后...'
    // // this.bankCardNoInit()
    // }
  },
  //生命周期 - 挂载完成（可以访问DOM元素）
  mounted() {

  },
}
</script>
<style   lang="less"  scoped>
img {
  margin: 10px auto;
}
.content {
  text-align: center;
  .content-text {
    font-size: 16px;
    font-weight: 500;
    color: #333333;
  }
  .content-main {
    font-weight: 500;
    color: #999999;
  }
  .btn-content{
    display: flex;
    margin-top: 20px;
   justify-content:space-around;
  }
  .van-button{
    width: 150px;
  }
}
</style>